GNU Radio 2.x: gr_message Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_message Class Reference

`#include <gr_message.h>`

List of all members.

## Detailed Description

Message.

The ideas and method names for adjustable message length were lifted from the click modular router "Packet" class.

## Public Member Functions
| ~gr_message ()
long | type () const
double | arg1 () const
double | arg2 () const
void | set_type (long type)
void | set_arg1 (double arg1)
void | set_arg2 (double arg2)
unsigned char * | msg () const
size_t | length () const
std::string | to_string () const
## Friends
class | gr_msg_queue
gr_message_sptr | gr_make_message (long type, double arg1, double arg2, size_t length)
| public constructor for gr_message
gr_message_sptr | gr_make_message_from_string (const std::string s, long type, double arg1, double arg2)

## Constructor & Destructor Documentation

gr_message::~gr_message | ( |  | ) |

## Member Function Documentation

double gr_message::arg1 | ( |  | ) | const`[inline]`

double gr_message::arg2 | ( |  | ) | const`[inline]`

size_t gr_message::length | ( |  | ) | const`[inline]`

unsigned char* gr_message::msg | ( |  | ) | const`[inline]`

void gr_message::set_arg1 | ( | double | arg1 | ) | `[inline]`

void gr_message::set_arg2 | ( | double | arg2 | ) | `[inline]`

void gr_message::set_type | ( | long | type | ) | `[inline]`

std::string gr_message::to_string | ( |  | ) | const

long gr_message::type | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

gr_message_sptr gr_make_message | ( | long | type,
|  | double | arg1,
|  | double | arg2,
|  | size_t | length
| ) | `[friend]`

| public constructor for gr_message

gr_message_sptr gr_make_message_from_string | ( | const std::string | s,
|  | long | type,
|  | double | arg1,
|  | double | arg2
| ) | `[friend]`

friend class gr_msg_queue`[friend]`

The documentation for this class was generated from the following files:

- gr_message.h
- gr_message.cc